aboutsummaryrefslogtreecommitdiffstats
path: root/openwrt/package/peercast/files/peercast.init
diff options
context:
space:
mode:
Diffstat (limited to 'openwrt/package/peercast/files/peercast.init')
-rw-r--r--openwrt/package/peercast/files/peercast.init18
1 files changed, 18 insertions, 0 deletions
diff --git a/openwrt/package/peercast/files/peercast.init b/openwrt/package/peercast/files/peercast.init
new file mode 100644
index 0000000000..c61c31438d
--- /dev/null
+++ b/openwrt/package/peercast/files/peercast.init
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+PID_F=/var/run/peercast.pid
+
+case $1 in
+ start)
+ peercast -d -i /etc/peercast.ini -l /var/log/peercast.log -p $PID_F
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?
+